package fr.marouse.dto;

import java.util.List;

public class CompteDTO {
    private int numCompte;
    private double solde;
    private String typeCompte;
    private List<OperationDTO> operations;
    private List<ClientDTO> clients;

    public CompteDTO(int numCompte, double solde, String typeCompte) {
        this.numCompte = numCompte;
        this.solde = solde;
        this.typeCompte = typeCompte;
    }
    public CompteDTO() {}

    public int getNumCompte() {
        return numCompte;
    }
    public void setNumCompte(int numCompte) {
        this.numCompte = numCompte;
    }
    public double getSolde() {
        return solde;
    }
    public void setSolde(double solde) {
        this.solde = solde;
    }
    public String getTypeCompte() {
        return typeCompte;
    }
    public void setTypeCompte(String typeCompte) {
        this.typeCompte = typeCompte;
    }

    public List<OperationDTO> getOperations() {
        return operations;
    }

    public void setOperations(List<OperationDTO> operations) {
        this.operations = operations;
    }

    public List<ClientDTO> getClients() {
        return clients;
    }

    public void setClients(List<ClientDTO> clients) {
        this.clients = clients;
    }
}